# Method: transfers.get

Retrieves a data transfer request by its resource ID.

### HTTP request

`GET https://admin.googleapis.com/admin/datatransfer/v1/transfers/{dataTransferId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `dataTransferId` | `string` ID of the resource to be retrieved. This is returned in the response from the insert method. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/data-transfer/reference/rest/v1/transfers#DataTransfer`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.datatransfer`
- `
  https://www.googleapis.com/auth/admin.datatransfer.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).